Bug 1029166 - misleading error message when trying to run 'rhc domain configure'
misleading error message when trying to run 'rhc domain configure'
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Jordan Liggitt
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-11 15:04 EST by Peter Ruan
Modified: 2015-05-14 22:26 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-23 22:29:34 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Ruan 2013-11-11 15:04:44 EST
Description of problem:
  If a user does not have access to medium gears but tries to change the allowed gear sizes to it, the error message currently is 

Updating domain configuration ... The following gear sizes are invalid: medium

rhc should instead inform the user that he doesn't have access to the node profile.

Version-Release number of selected component (if applicable):

devenv_4017
How reproducible:
always.

Steps to Reproduce:
1. with a user default access of only small gears
2. rhc domain configure --allowed-gear-sizes=medium
3. 

Actual results:
The following gear sizes are invalid: medium

Expected results:
should tell user that he doesn't have access to medium gears.

Additional info:
Comment 1 Jordan Liggitt 2013-11-11 16:54:26 EST
Will merge improved message in https://github.com/openshift/rhc/pull/507
Comment 2 openshift-github-bot 2013-11-11 19:12:53 EST
Commit pushed to master at https://github.com/openshift/rhc

https://github.com/openshift/rhc/commit/1f8ed01394b9a970bf231530b1bbff7945285aad
Fix bug 1029166: Improve error message on domain configure
Comment 3 openshift-github-bot 2013-11-11 22:54:27 EST
Commits pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/bc2fbf8ca2250113de90e825d7fb8967e4d9a35d
Fix bug 1029166: Improve error message on domain configure

https://github.com/openshift/origin-server/commit/31a78f1454ad7ed2bf2761420c1ffd8dcd5f3275
Merge pull request #4164 from liggitt/bug_1029166_improve_domain_configure_error

Fix bug 1029166: Improve error message on domain configure
Comment 4 weiwei jiang 2013-11-12 03:34:23 EST
Tried on devenv_4022 with RHC build from it, and result is:

[root@ip-10-164-55-223 ~]# rhc domain configure --allowed-gear-sizes=medium
Updating domain configuration ... The following gear sizes are not available to this account: medium

So, verified this issue.

Note You need to log in before you can comment on or make changes to this bug.